## Makefile.am for ogg/vorbis file meta info plugin

# set the include path for X, qt and KDE
INCLUDES         = $(all_includes)

# these are the headers for your project
noinst_HEADERS   = tdefile_theora.h

kde_module_LTLIBRARIES = tdefile_theora.la

tdefile_theora_la_SOURCES = tdefile_theora.cpp
tdefile_theora_la_LDFLAGS = $(all_libraries) $(KDE_RPATH) $(LIB_QT) -lDCOP $(LIB_TDECORE) $(LIB_TDEUI) -ltdefx $(LIB_TDEIO) -ltdetexteditor -module $(KDE_PLUGIN)
tdefile_theora_la_LIBADD = $(LIB_TDEIO) -logg -lvorbis -ltheora

# let automoc handle all of the meta source files (moc)
METASOURCES = AUTO

messages: rc.cpp
	$(XGETTEXT) tdefile_theora.cpp -o $(podir)/tdefile_theora.pot

services_DATA = tdefile_theora.desktop
servicesdir = $(kde_servicesdir)
